Accept an onramp quote
curl --request POST \
--url https://production.hifibridge.com/v2/onramps/{transferId}/quote/accept \
--header 'Authorization: Bearer <token>'{
"transferType": "ONRAMP",
"transferDetails": {
"id": "b26927e6-2771-423c-af44-a3c7a3e815c5",
"requestId": "e1047def-6942-4fd7-be04-e62eb41813b6",
"createdAt": "2025-02-03T17:15:31.927121+00:00",
"updatedAt": "2025-02-03T17:15:35.882+00:00",
"status": "AWAITING_FUNDS",
"failedReason": null,
"source": {
"userId": "c15c0adf-3e45-4a62-b334-73aeec127649",
"currency": "usd",
"amount": 10,
"accountId": null,
"user": {
"email": "example@hifibridge.com",
"lastName": "Wu",
"firstName": "Henry",
"businessName": null
},
"bankInfo": null
},
"destination": {
"userId": "c15c0adf-3e45-4a62-b334-73aeec127649",
"currency": "usdc",
"chain": "POLYGON",
"walletAddress": "0x848732f6c834E05b17C56fa01E83EE095f72C3c3",
"externalWalletId": null,
"amount": null,
"user": {
"email": "example@hifibridge.com",
"lastName": "Wu",
"firstName": "Henry",
"businessName": null
}
},
"receipt": {
"transactionHash": null
},
"developerFee": null,
"virtualAccountId": null,
"quoteInformation": {
"sendGross": {
"amount": "10.00",
"currency": "usd"
},
"sendNet": {
"amount": "10.00",
"currency": "usd"
},
"railFee": {
"amount": "0.00",
"currency": "usdc"
},
"receiveGross": {
"amount": "10.00",
"currency": "usdc"
},
"receiveNet": {
"amount": "10.00",
"currency": "usdc"
},
"rate": "1.00",
"expiresAt": "N/A"
},
"depositInfo": {
"bankName": "Bank of NoWhere",
"bankAddress": "123 Main St, New York, NY 10001, USA",
"beneficiary": {
"name": "Henry Wu",
"address": "Example St 1., Apt 123, New York, NY, 10010, US"
},
"ach": {
"routingNumber": "028000024",
"accountNumber": "123456789"
},
"wire": {
"routingNumber": "021000021",
"accountNumber": "123456789"
},
"rtp": {
"routingNumber": "021000021",
"accountNumber": "123456789"
},
"reference": "HFD70579F",
"depositBy": "2025-10-04T04:23:40.229Z",
"instruction": "Please deposit only one payment with the exact amount of usd and the reference code HFD70579F to the designated bank account by 2025-10-04T04:23:40.229Z. Missing or incorrect reference codes, discrepancies in the amount, or additional payments may result in the funds being lost. Ensure that the beneficiary name matches the provided account holder name, otherwise the payment may be rejected."
}
}
}Onramps
Accept an onramp quote
Accept a quote-based onramp.
For example, an onramp from fiat currency brl to crypto currency usdc is quote-based so its initial status will be OPEN_QUOTE. After reviewing the onramp conversion rate quote information, you can accept it to initialize the onramp.
POST
/
v2
/
onramps
/
{transferId}
/
quote
/
accept
Accept an onramp quote
curl --request POST \
--url https://production.hifibridge.com/v2/onramps/{transferId}/quote/accept \
--header 'Authorization: Bearer <token>'{
"transferType": "ONRAMP",
"transferDetails": {
"id": "b26927e6-2771-423c-af44-a3c7a3e815c5",
"requestId": "e1047def-6942-4fd7-be04-e62eb41813b6",
"createdAt": "2025-02-03T17:15:31.927121+00:00",
"updatedAt": "2025-02-03T17:15:35.882+00:00",
"status": "AWAITING_FUNDS",
"failedReason": null,
"source": {
"userId": "c15c0adf-3e45-4a62-b334-73aeec127649",
"currency": "usd",
"amount": 10,
"accountId": null,
"user": {
"email": "example@hifibridge.com",
"lastName": "Wu",
"firstName": "Henry",
"businessName": null
},
"bankInfo": null
},
"destination": {
"userId": "c15c0adf-3e45-4a62-b334-73aeec127649",
"currency": "usdc",
"chain": "POLYGON",
"walletAddress": "0x848732f6c834E05b17C56fa01E83EE095f72C3c3",
"externalWalletId": null,
"amount": null,
"user": {
"email": "example@hifibridge.com",
"lastName": "Wu",
"firstName": "Henry",
"businessName": null
}
},
"receipt": {
"transactionHash": null
},
"developerFee": null,
"virtualAccountId": null,
"quoteInformation": {
"sendGross": {
"amount": "10.00",
"currency": "usd"
},
"sendNet": {
"amount": "10.00",
"currency": "usd"
},
"railFee": {
"amount": "0.00",
"currency": "usdc"
},
"receiveGross": {
"amount": "10.00",
"currency": "usdc"
},
"receiveNet": {
"amount": "10.00",
"currency": "usdc"
},
"rate": "1.00",
"expiresAt": "N/A"
},
"depositInfo": {
"bankName": "Bank of NoWhere",
"bankAddress": "123 Main St, New York, NY 10001, USA",
"beneficiary": {
"name": "Henry Wu",
"address": "Example St 1., Apt 123, New York, NY, 10010, US"
},
"ach": {
"routingNumber": "028000024",
"accountNumber": "123456789"
},
"wire": {
"routingNumber": "021000021",
"accountNumber": "123456789"
},
"rtp": {
"routingNumber": "021000021",
"accountNumber": "123456789"
},
"reference": "HFD70579F",
"depositBy": "2025-10-04T04:23:40.229Z",
"instruction": "Please deposit only one payment with the exact amount of usd and the reference code HFD70579F to the designated bank account by 2025-10-04T04:23:40.229Z. Missing or incorrect reference codes, discrepancies in the amount, or additional payments may result in the funds being lost. Ensure that the beneficiary name matches the provided account holder name, otherwise the payment may be rejected."
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Transfer record ID.
⌘I